<?php

namespace App\Mappers;

use App\ViewModels\UnidadeUF\UnidadeUFRegistrationViewModel\UnidadeUFRegistrationViewModel;
use App\ViewModels\UnidadeUF\UnidadeUFUpdateViewModel\UnidadeUFUpdateViewModel;

class UnidadeUFMapper {

	public static function getUnidadeUFRegistrationVMFromArray(array $dados): UnidadeUFRegistrationViewModel {

		$objMapper = UnidadeUFRegistrationViewModel::builder()->setIdUf( intval( $dados ['id_uf'] ) )
			->setIdUnidade( intval( $dados ['id_unidade'] ) )
			->setNomeUnidade( $dados ['nome_unidade'] )
			->setCrc( $dados ['id_unidade'] . '-' . $dados ['nome_unidade'] . '-' . $dados ['id_uf'] )
			->build();

		return $objMapper;

	}

	public static function getUnidadeUFUpdateVMFromArray(array $dados): UnidadeUFUpdateViewModel {

		$objMapper = UnidadeUFUpdateViewModel::builder()->setId( intval( $dados ['id'] ) )
			->setIdUf( intval( $dados ['id_uf'] ) )
			->setIdUnidade( intval( $dados ['id_unidade'] ) )
			->setNomeUnidade( $dados ['nome_unidade'] )
			->setCrc( $dados ['id_unidade'] . '-' . $dados ['nome_unidade'] . '-' . $dados ['id_uf'] )
			->build();

		return $objMapper;

	}

}

